# Orders Orders ## Gets all of the orders in the system. - [GET /orders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listorders.md): This method will scan all orders and and return them to the caller. ## Processes a order - [POST /orders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorder.md): This method will auto-generate an ID and create a new order. If an ID is specified for the order, an error will be thrown. ## Execute Batch Operations - [POST /orders/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified bill_to_contact_id - [GET /orders/{tenantId}/billToContact/{bill_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbybilltocontactid.md): Returns a list of records with the specified bill_to_contact_id ## Returns a list of records with the specified bill_to_organization_id - [GET /orders/{tenantId}/billToOrganization/{bill_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbybilltoorganizationid.md): Returns a list of records with the specified bill_to_organization_id ## Checks to see whether or not a person is eligible based on specified criteria - [POST /orders/{tenantId}/checkEligibility/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/checkeligibility.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ## Checks to see whether or not a person is eligible based on specified criteria - [POST /orders/{tenantId}/checkPrice/{customerType}/{billToId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/checkprice.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ## Closes an Order - [POST /orders/{tenantId}/close/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/closeorder.md): Closes an order ## Returns a list of records with the specified coupon_id - [GET /orders/{tenantId}/coupon/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbycouponid.md): Returns a list of records with the specified coupon_id ## Returns a list of records with the specified coupon_code_id - [GET /orders/{tenantId}/couponCodeUsages/{coupon_code_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listcouponcodeusagesbycouponcode.md): Returns a list of records with the specified coupon_code_id ## Returns a list of records with the specified coupon id - [GET /orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listcouponusagesbycoupon.md): Returns a list of records with the specified coupon id ## List orders by customer - [GET /orders/{tenantId}/customer/{customerType}/{customerId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbycustomer.md): Includes orders where ship to ## Returns a list of records with the specified installment_schedule_id - [GET /orders/{tenantId}/installmentSchedule/{installment_schedule_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyinstallmentscheduleid.md): Returns a list of records with the specified installment_schedule_id ## Gets all of the orders in the system for a given contact. - [GET /orders/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersforportal.md): This method will scan all orders and and return them to the caller for a given contact. ## Returns a order from the system by its ID for a given contact. - [GET /orders/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorderforportal.md): This method will look up a order by the specified ID and return it back (for a portal contact) ## Gets all of the orders in the system for a given organization. - [GET /orders/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersforportalbyorganization.md): This method will scan all orders and and return them to the caller for a given organization. ## Returns a order from the system by its ID for a given organization. - [GET /orders/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorderforportal.md): This method will look up a order by the specified ID and return it back (for a portal organization) ## Preview an order - [POST /orders/{tenantId}/preview](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworder.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ## Sends out a preview of the CRC notification email - [POST /orders/{tenantId}/previewOrderConfirmationEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworderconfirmationemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the CRC notification email - [POST /orders/{tenantId}/previewProductConfirmationEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previewproductconfirmationemail.md): Sends out a preview of the CRC notification email ## Previews an order with line item overrides - [POST /orders/{tenantId}/previewWithOverride](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworderwithoverride.md): This is designed to be run by administrators; allows an order to e previewed but have prices or quantities overridden ## Processes an order with line item overrides - [POST /orders/{tenantId}/processWithOverride](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorderwithoverride.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ## Processes an order with line item overrides - [POST /orders/{tenantId}/processWithOverride/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorderwithoverridesync.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ## Gets the availability of merchandise - [POST /orders/{tenantId}/public/checkAvailability](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getmerchandiseavailability.md): Takes in merchandise and determines it's availability ## Preview an order - [POST /orders/{tenantId}/public/describeProducts](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/describeproducts.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ## Previews an order publicly - [POST /orders/{tenantId}/public/preview](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworder.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options ## Applies a coupon to an existing order - [POST /orders/{tenantId}/retroactivelyApplyCoupon](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/retroactivelyapplycoupontoorder.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ## Applies a coupon to an existing order - [POST /orders/{tenantId}/retroactivelyApplyCoupon/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/retroactivelyapplycoupontoordersync.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden ## Searches for orders using predefined parameters - [POST /orders/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/searchfororders.md): Searches for orders using predefined parameters ## Returns a list of records with the specified ship_to_contact_id - [GET /orders/{tenantId}/shipToContact/{ship_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshiptocontactid.md): Returns a list of records with the specified ship_to_contact_id ## Returns a list of records with the specified ship_to_organization_id - [GET /orders/{tenantId}/shipToOrganization/{ship_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshiptoorganizationid.md): Returns a list of records with the specified ship_to_organization_id ## Returns a list of shippable orders with the specified status - [GET /orders/{tenantId}/shippable/status/{status}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listshippableordersbystatus.md): Returns a list of shippable orders with the specified status ## Returns a list of records with the specified shippable_status - [GET /orders/{tenantId}/shippableStatus/{shippable_status}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshippablestatus.md): Returns a list of records with the specified shippable_status ## Creates a new order that doesn't already exist - [POST /orders/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processordersync.md): This method will auto-generate an ID and create a new order. If an ID is specified for the order, an error will be thrown. ## Void an order - [POST /orders/{tenantId}/void/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/voidorder.md): This method voids an order ## Returns a order from the system by its ID. - [DELETE /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/deleteorder.md): This method will delete a order with the specified ID. ## Returns a order from the system by its ID. - [GET /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorder.md): This method will look up a order by the specified ID and return it back. ## Partially updates a order with the specified ID. - [PATCH /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/patchorder.md): This method will patch an existing order with the specified ID, using the HTTP PATCH specification. ## Updates a order with the specified ID. - [PUT /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/updateorder.md): This method will update an existing order with the specified ID.